Bug 1288282 - [abrt] blivet-gui: client.py:220:remote_control:TypeError: 'NoneType' does not support the buffer interface
[abrt] blivet-gui: client.py:220:remote_control:TypeError: 'NoneType' does no...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4f19333ca38a763e2ca81d22b41...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 20:43 EST by Timothy M. Butterworth
Modified: 2016-12-20 11:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (877 bytes, text/plain)
2015-12-03 20:43 EST, Timothy M. Butterworth
no flags Details
File: environ (2.98 KB, text/plain)
2015-12-03 20:43 EST, Timothy M. Butterworth
no flags Details
Blivet Logs from /tmp (62.47 KB, application/x-gzip)
2015-12-07 00:50 EST, Timothy M. Butterworth
no flags Details

  None (edit)
Description Timothy M. Butterworth 2015-12-03 20:43:30 EST
Version-Release number of selected component:
blivet-gui-1.0.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
client.py:220:remote_control:TypeError: 'NoneType' does not support the buffer interface

Traceback (most recent call last):
  File "/usr/bin/blivet-gui", line 120, in <module>
    main()
  File "/usr/bin/blivet-gui", line 109, in main
    kickstart_mode=options.kickstart)
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 80, in __init__
    ret = self.client.remote_control("init", self.kickstart_mode)
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/client.py", line 220, in remote_control
    answer = pickle.loads(self._recv_msg())
TypeError: 'NoneType' does not support the buffer interface

Local variables in innermost frame:
args: (False,)
command: 'init'
self: <blivetgui.communication.client.BlivetGUIClient object at 0x7f48f2ebc780>
pickled_data: b'\x80\x03C\n2643336066q\x00X\x04\x00\x00\x00initq\x01\x89\x85q\x02\x87q\x03.'
Comment 1 Timothy M. Butterworth 2015-12-03 20:43:34 EST
Created attachment 1102028 [details]
File: backtrace
Comment 2 Timothy M. Butterworth 2015-12-03 20:43:35 EST
Created attachment 1102029 [details]
File: environ
Comment 3 Vojtech Trefny 2015-12-04 04:07:53 EST
Hi, there should be some logs in /tmp (blivet.log and program.log are the most important), could you please attach them here? And please run blivet-gui from terminal (simply using "blivet-gui" command), it might print some more errors there. Thanks.
Comment 4 Timothy M. Butterworth 2015-12-07 00:42:39 EST
I ran blivet-gui as root from Konsole on KDE Plasma 5.4.3 and it quickly crashed by selecting sdb a External USB 3.0 drive from disks.

I reported it "New bug id: 1288943"

Here are The error messages from the terminal:

[root@localhost tmp] # blivet-gui
Can't open file 'uid': No such file or directory
Failed to open connection to D-Bus session bus: The connection is closed
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Can't open /root/.config/abrt/settings/forbidden_words.conf
Can't open /root/.config/abrt/settings/ignored_words.conf
Comment 5 Timothy M. Butterworth 2015-12-07 00:50 EST
Created attachment 1103016 [details]
Blivet Logs from /tmp

Here are the requested logs from /tmp. I ran blivet-gui from Konsole as both Root and through sudo and it crashed both times very quickly.
Comment 6 Gene Snider 2016-03-29 21:34:26 EDT
Similar problem has been detected:

I tried to start blivet-gui.

reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
kernel:         4.4.6-300.fc23.x86_64
package:        blivet-gui-1.0.5-1.fc23
reason:         client.py:220:remote_control:TypeError: 'NoneType' does not support the buffer interface
runlevel:       N 5
type:           Python3
uid:            1000
Comment 7 Fedora End Of Life 2016-11-24 08:57:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 11:36:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.